package lt.zoo.menu;
import lt.zoo.padalinys.*;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;

public class UserMenu implements Menu {
	public Padalinys padalinys;
    
    public UserMenu(Padalinys padalinys)
    {
		this.padalinys=padalinys;
    }

    public String priziuretojuSarasas()
    {
		String temp;
        if (padalinys.priziuretojas==null) return "Dirbanciu priziuretoju nera";
        else
        {
            temp = "Priziuretoju sarasas: Vardas - Pavarde - Gyvunas, su kuriuo dirba.\n";
            for (int i=0; i<padalinys.priziuretojas.size(); i++){
            temp = temp + padalinys.priziuretojas.get(i).getVardas()+ " "
                             +padalinys.priziuretojas.get(i).getPavarde()+" "
                             +padalinys.priziuretojas.get(i).getPriziurimasGyvunas().getRusis() + "\n";}      
        }
           return temp;
    }
    
    public String padalinioInfo()
    {
		 if ((padalinys.priziuretojas==null)||(padalinys.gyvunas==null)) return "Dirbanciu priziuretoju arba gyvunu nera";
         else return "Padalinio pavadinimas: "
                            +padalinys.getPavadinimas()+", dirba "
                            +padalinys.priziuretojas.size()+" darbuotojai(u) ir yra "
                            +padalinys.gyvunas.size()+" gyvunai(u).";
    }

    public String gyvunuSarasas()
    {
		String temp;
        if (padalinys.gyvunas==null) return "Gyvunu nera";
        else
        {
            temp = "Gyvunu sarasas: \n";
            for (int i=0; i<padalinys.gyvunas.size(); i++)
            temp += padalinys.gyvunas.get(i).getRusis()+ " Amzius: "
                                      +padalinys.gyvunas.get(i).getAmzius()+". \n";
        }
        return temp;
    }
    
    public void start(Padalinys padalinys) throws IOException, AsmensKodoException
    {

		String choice="-";
		while (choice.hashCode()!=48)     // != 0;
		{
        BufferedReader console = new BufferedReader(new InputStreamReader(System.in));
        if (console == null) {
            System.err.println("Klaida: unable to obtain console");
            return;}

        System.out.println(" ");
        System.out.println("----------------Trumpas Vartotojo meniu---------------");
        System.out.println("1. Priziuretoju sarasas");
        System.out.println("2. Padalinio informacija");
        System.out.println("3. Gyvunu sarasas");
        System.out.println("0. Iseiti");

        choice = console.readLine();

        if (choice.hashCode()==49)      { System.out.println(priziuretojuSarasas()); }   // = 1.
        else if (choice.hashCode()==48) { System.out.println("Pabaiga..."); }      // = 0.
        else if (choice.hashCode()==50) { System.out.println(padalinioInfo()); }         // = 2.
        else if (choice.hashCode()==51) { System.out.println(gyvunuSarasas()); }         // = 3.
        else { System.out.println("Neteisingas pasirinkimas. Iveskite teisinga skaiciu!"); }

        }
    }

}

