package lt.zoo.padalinys;

public class Administracija extends Darbuotojas {

    private String issilavinimas="";
    private String sritis=""; // Sekretorius(e), Direktorius(e), Kasininkas(e)...

    public Administracija (int darbo_patirtis, float atlyginimas,
                         String vardas, String pavarde, String asmens_kodas,
                         String issilavinimas, String sritis) // Konstruktorius
    {
        this.darbo_patirtis = darbo_patirtis;
        this.atlyginimas = atlyginimas;
        this.vardas = vardas;
        this.pavarde = pavarde;
        this.asmens_kodas = asmens_kodas;
        this.issilavinimas = issilavinimas;
        this.sritis = sritis;
    }

    public String getIssilavinimas()
    {
        return issilavinimas;
    }

    public String getSritis()
    {
        return sritis;
    }

    public void setIssilavinimas(String issilavinimas)
    {
        this.issilavinimas=issilavinimas;
    }

    public void setSritis(String sritis)
    {
        this.sritis=sritis;
    }

    public boolean sambdytiPriziuretoja (Priziuretojas naujasPriziuretojas)
    {
        if (darbo_patirtis>5) { System.out.println(naujasPriziuretojas.vardas
                + naujasPriziuretojas.pavarde +  " sekmingai pasamdytas.");
            return true;
        }
        else { System.out.println(naujasPriziuretojas.vardas +
                naujasPriziuretojas.pavarde + " neturi pakankamai " +
                "darbo patirties dirbti Zoologijos sode.");
            return false;
        }
    }

    public boolean samdytiAdministracijosDarbuotoja (Administracija naujasAdministracija)
    {
        if ((darbo_patirtis>5)||(issilavinimas.compareToIgnoreCase("aukstasis")!=0))
        {
            System.out.println(naujasAdministracija.vardas
            + naujasAdministracija.pavarde +  " sekmingai pasamdytas.");
            return true;
        }
        else
        {
            System.out.println(naujasAdministracija.vardas +
            naujasAdministracija.pavarde + " neturi pakankamai " +
            "darbo patirties arba neatitinka issilavinimo reikalavimu, " +
            "kad galetu dirbti Zoologijos sode.");
            return false;
        }
    }
}
