package lt.zoo.menu;

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import java.awt.Color;
import java.awt.Dimension;

import lt.zoo.padalinys.*;
import lt.zoo.menu.*;

public class GUI extends JPanel implements ActionListener {
	private Padalinys padalinys;
	private UserMenu usermenu;
	private JLabel label;
	private JButton [] mygtukas;
	private JTextArea textArea;
	private JFrame frame;
	private JButton test;
	
    public GUI(Padalinys padalinys) {
		this.padalinys = padalinys;
		usermenu = new UserMenu(padalinys);
	    label = new JLabel("Meniu");
		add(label);
		JButton [] mygtukas= new JButton [3];
		String [] antraste ={"Priziuretoju sarasas", "Gyvunu sarasas","Padalinio informacija"};
		for (int i=0; i<3; i++){
			mygtukas[i]=new JButton(antraste[i]);
			mygtukas[i].addActionListener(this);
			mygtukas[i].setActionCommand("a"+i);
			add(mygtukas[i]);
		}
		mygtukas[0].setMnemonic(KeyEvent.VK_P);
		mygtukas[1].setMnemonic(KeyEvent.VK_G);
		mygtukas[2].setMnemonic(KeyEvent.VK_I);
		
        textArea = new JTextArea("Paspauskite mygtuka", 10, 40);
        JScrollPane scrollPane = new JScrollPane(textArea); 
        scrollPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
        textArea.setLineWrap(true);
        textArea.setWrapStyleWord(true);
        textArea.setEditable(false);
        add(textArea);
        frame = new JFrame("Vartotojo Menu");
        JFrame.setDefaultLookAndFeelDecorated(true);
        setOpaque(true);
        setBackground(new Color(222,150,12));
        setPreferredSize(new Dimension(500,300));
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setContentPane(this);
        frame.pack();
        frame.setVisible(true);
	}
	
	public void actionPerformed(ActionEvent ivykis)
	{
		String temp = ivykis.getActionCommand();
		//System.out.println(temp);
			
		if ("a0".equals(temp))
		{
            textArea.setText(usermenu.priziuretojuSarasas());	
        
		}
		
		else if ("a1".equals(temp))
		{
		//	mygtukas[1].setBackground(Color.red);
            textArea.setText(usermenu.gyvunuSarasas());	
        
		}
		
		else if ("a2".equals(temp))
		{
			//mygtukas[2].setBackground(Color.red);
            textArea.setText(usermenu.padalinioInfo());	
        
		}
		
	}
}


	
