package lt.zoo.padalinys;

import java.util.Calendar;

public class Lankytojas extends Asmuo
{
    private int pinigai=0;
    private boolean suBilietu=false; // turi ar neturi bilieto
    private Calendar apsilankymo_data=null;
    
    public Lankytojas(String vardas, String pavarde,
                      String asmens_kodas, int pinigai) // Konstruktorius
    {
       this.vardas = vardas;
       this.pavarde = pavarde;
       this.asmens_kodas=asmens_kodas;
       this.pinigai = pinigai;
       apsilankymo_data=Calendar.getInstance();
    }

    public Calendar getApsilankymoData()
    {
        return apsilankymo_data;
    }

    public void setPinigai(int pinigai) //Nustatome kiek pinigu lankytojas turi
    {
       this.pinigai = pinigai;
    }
    
    public int getPinigai()
    {
        return pinigai;
    }

    public boolean arSuBilietu()
    {
        return suBilietu;
    }
 
    public boolean pirktiBilieta(int bilieto_kaina)
    {
       if (pinigai >= bilieto_kaina) { suBilietu = true; System.out.println("Lankytojas sekmingai nusipirko bilieta."); pinigai =- bilieto_kaina; return true;}
       else {System.out.println("Lankytojas neturi pakankamai pinigu, kad galetu nuspirkti bilieta"); return false;}
    }
}
